﻿namespace SonarLint_S2259_False_Positive_Replication
{
	public class FPReplication
	{
		public int PartialChecksForSemanticVersionComparison(string PreRelease, string OtherPreRelease)
		{
			if (PreRelease == OtherPreRelease) { return 0; }
			if (PreRelease != null && OtherPreRelease == null) { return -1; }
			if (PreRelease == null && OtherPreRelease != null) { return 1; }

			_ = PreRelease.Split('.'); //S2259 false positive on this line, where it doesn't see that lines 9 and 11 overlap to protect against System.NullReferenceException
			_ = OtherPreRelease.Split('.');

			return 0;
		}
	}
}
